{
  "compileOnSave": false,
  "compilerOptions": {
    "rootDir": ".",
    "resolveJsonModule": true,
    "sourceMap": true,
    "declaration": false,
    "moduleResolution": "node",
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "importHelpers": true,
    "target": "es2021",
    "module": "es2020",
    "typeRoots": ["node_modules/@types"],
    "lib": ["es2021", "dom"],
    "skipLibCheck": true,
    "skipDefaultLibCheck": true,
    "baseUrl": ".",
    "paths": {
      "@biesbjerg/ngx-translate-extract-marker": ["libs/common-ui/src/lib/translations/ngx-translate-extract-marker"],
      "@common-ui/*": ["libs/common-ui/src/lib/*"],
      "@components/*": ["apps/red-ui/src/app/components/*"],
      "@environments/*": ["apps/red-ui/src/environments/*"],
      "@guards/*": ["apps/red-ui/src/app/guards/*"],
      "@i18n/*": ["apps/red-ui/src/app/i18n/*"],
      "@iqser/common-ui": ["libs/common-ui/src/index.ts"],
      "@iqser/common-ui/*": ["libs/common-ui/src/*"],
      "@models/*": ["apps/red-ui/src/app/models/*"],
      "@red/domain": ["libs/red-domain/src/index.ts"],
      "@services/*": ["apps/red-ui/src/app/services/*"],
      "@shared/*": ["apps/red-ui/src/app/modules/shared/*"],
      "@translations/*": ["apps/red-ui/src/app/translations/*"],
      "@upload-download/*": ["apps/red-ui/src/app/modules/upload-download/*"],
      "@users/*": ["apps/red-ui/src/app/users/*"],
      "@utils/*": ["apps/red-ui/src/app/utils/*"]
    }
  },
  "exclude": ["node_modules", "tmp"],
  "angularCompilerOptions": {
    "strictInjectionParameters": true,
    "strictInputAccessModifiers": true,
    "strictTemplates": true
  }
}
